summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorChristian Schwarz2015-12-21 11:19:29 +0100
committerChristian Schwarz2015-12-21 11:19:29 +0100
commita3f7a14095594d331b6caa4592e0a5e0e5714d7b (patch)
treecf73f992a4c211e96d8348de0df6ed0a4ab47d5c
downloadaur-a3f7a14095594d331b6caa4592e0a5e0e5714d7b.tar.gz
Initial commit.
-rw-r--r--.SRCINFO22
-rw-r--r--PKGBUILD39
-rw-r--r--brother-mfc-j615w.install12
3 files changed, 73 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..7443f161bc2
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,22 @@
+# Generated by mksrcinfo v8
+# Mon Dec 21 10:19:21 UTC 2015
+pkgbase = brother-mfc-j615w
+ pkgdesc = LPR and CUPS driver for the Brother MFC-j615w
+ pkgver = 1.1.3
+ pkgrel = 2
+ url = http://welcome.solutions.brother.com/bsc/public_s/id/linux/en/index.html
+ install = brother-mfc-j615w.install
+ arch = i686
+ arch = x86_64
+ license = unknown
+ depends = tcsh
+ depends = deb2targz
+ depends = perl
+ depends = a2ps
+ source = http://download.brother.com/welcome/dlf006602/mfcj615wlpr-1.1.3-1.i386.deb
+ source = http://download.brother.com/welcome/dlf006604/mfcj615wcupswrapper-1.1.3-1.i386.deb
+ sha256sums = a3e00208c88a09bb82eb91fcb213bdd6f0c4f2d2249fe312deba0d6045f3fcc8
+ sha256sums = 16c3b91e7ec06faefa05e7fabfca8923050e6be438c2a57bed17979e43f812cb
+
+pkgname = brother-mfc-j615w
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..d5df6468374
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,39 @@
+# Maintainer: Dino Morelli <dino@ui3.info>
+# Based on brother-mfc-j6510dw package from AUR
+
+_model="j615w"
+pkgname="brother-mfc-$_model"
+pkgver="1.1.3"
+pkgrel=2
+pkgdesc="LPR and CUPS driver for the Brother MFC-${_model}"
+arch=('i686' 'x86_64')
+url="http://welcome.solutions.brother.com/bsc/public_s/id/linux/en/index.html"
+license=('unknown')
+depends=('tcsh' 'deb2targz' 'perl' 'a2ps')
+if test "$CARCH" == x86_64; then
+ depends+=(lib32-glibc)
+fi
+install="brother-mfc-${_model}.install"
+_revision=1
+source=("http://download.brother.com/welcome/dlf006602/mfcj615wlpr-${pkgver}-${_revision}.i386.deb"
+ "http://download.brother.com/welcome/dlf006604/mfcj615wcupswrapper-${pkgver}-${_revision}.i386.deb")
+sha256sums=("a3e00208c88a09bb82eb91fcb213bdd6f0c4f2d2249fe312deba0d6045f3fcc8"
+ "16c3b91e7ec06faefa05e7fabfca8923050e6be438c2a57bed17979e43f812cb")
+
+build() {
+ deb2targz *.deb >/dev/null || return 1
+ rm -f *.deb || return 1
+ cd $srcdir || return 1
+ [ -d "mfc${_model}" ] || (mkdir mfc${_model} || return 1)
+ for i in *.tar.gz;do tar xfz $i -C mfc${_model};done || return 1
+ cd mfc${_model} || return 1
+ cd opt/brother/Printers/mfc${_model} || return 1
+ # Not sure what this does, copied from other Brother printer driver PKGBUILDs
+ perl -i -pe 's#/etc/init.d#/etc/rc.d#g' ./cupswrapper/cupswrappermfc${_model} || return 1
+ perl -i -pe 's#printcap\.local#printcap#g' $srcdir/mfc${_model}/opt/brother/Printers/mfc${_model}/inf/setupPrintcapij || return 1
+}
+
+package() {
+ cp -rf $srcdir/mfc${_model}/usr/ $pkgdir/ || return 1
+ cp -rf $srcdir/mfc${_model}/opt/ $pkgdir/ || return 1
+}
diff --git a/brother-mfc-j615w.install b/brother-mfc-j615w.install
new file mode 100644
index 00000000000..ec3d7abf33d
--- /dev/null
+++ b/brother-mfc-j615w.install
@@ -0,0 +1,12 @@
+post_install() {
+ post_upgrade;
+}
+
+post_upgrade() {
+ /opt/brother/Printers/mfcj615w/cupswrapper/cupswrappermfcj615w >/dev/null
+ if [ "$?" -eq 0 ]; then
+ printf "\033[1m\033[32m\x3d\x3d\x3e\033\1330m Done. The printer should be visible now via the CUPS-webinterface (http://localhost:631)\n"
+ else
+ printf "\033[1m\032[32m\x3d\x3d\x3e\033\1330m Something went wrong...\n"
+ fi
+}